SDL_GetGamepadMapping(3)

NAME
SDL_GetGamepadMapping - Get the current mapping of a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_GetGamepadMapping(SDL_Gamepad *gamepad);

DESCRIPTION
Details about mappings are discussed with

SDL_AddGamepadMapping ().

FUNCTION PARAMETERS

gamepad
    the gamepad you want to get the current mapping for.

RETURN VALUE
Returns a string that has the gamepad's mapping or NULL if no mapping is available; call SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AddGamepadMapping(3), •(3), SDL_GetGamepadMappingForID(3), •(3), SDL_GetGamepadMappingForGUID(3), •(3), SDL_SetGamepadMapping(3)